# Yahoo! UI Library

### editor 2.5.2

Yahoo! UI Library > editor > YAHOO.widget.EditorInfo

Show Private Show Protected

## `static` Class YAHOO.widget.EditorInfo

Singleton object used to track the open window objects and panels across the various open editors

### Properties

#### _instances `- private Object`

A reference to all editors on the page.

#### blankImage `- private String`

A reference to the blankImage url

#### Dom `- private object`

#### panel `- private Object YAHOO.widget.Overlay`

A reference to the currently open panel in any editor on the page.

#### window `- private Object YAHOO.widget.EditorWindow`

A reference to the currently open window object in any editor on the page.

### Methods

#### getEditorById

`void getEditorById ( id )`
Returns a reference to the Editor object associated with the given textarea

Parameters:
  `id <String/HTMLElement>` The id or reference of the textarea to return the Editor instance of

Returns: `void`
  Object YAHOO.widget.Editor

#### toString

`String toString ( )`
Returns a string representing the EditorInfo.

Returns: `String`

Copyright © 2007 Yahoo! Inc. All rights reserved.